/* ==== item.h ==== */
/*  Part of the source of the program "Porrog", a roguelike game.
    Copyright (C) 2002-2003  Tom Barnes-Lawrence
    Current web address: www.angelfire.com/super2/duologue/
    Current email address: tomble@usermail.com
    Postal address: mind your own business

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/* include C-foogrid.h first, then maparray.h, before this. */

void add_item(foogrid *map,int y, int x,itemtype_t *otype);
/* Places a new instance of otype at the position given */

void new_itemtype(itemtype_t *space,char symbol,char *name);
/* Creates a new type of object, puts it into the space
   allocated by space. No extra space is allocated for name */

item_t *skim_item(foogrid *map,int x,int y);
/* Removes the top item from any heap on the floor. Returns that
   item alone (with item->Next==NULL) */

void place_item(foogrid *map,int x,int y,item_t *item);
/* Puts a single item at a place on the floor */

