/* ==== los.c ==== */
/*  Part of the source of the program "Porrog", a roguelike game.
    Copyright (C) 2002-2003  Tom Barnes-Lawrence
    Current web address: www.angelfire.com/super2/duologue/
    Current email address: tomble@usermail.com
    Postal address: mind your own business

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "C-foogrid.h"
#include "structures.h"
#include "maparray.h" /*Do we?*/

/* I spent hours trying to dig out my old 6th form project (I
   wanted to connect an exercise bike to a computer and have a
   "virtual reality" type game controlled by it. It sort of
   worked but the dongle never got fixed to the bike. And it
   wasn't VR as anyone else'd recognise it), as I remembered
   it had an effective LOS algorithm for the 2d "indoors"
   routine. After I eventually deciphered my 8 years old
   quickbasic spaghetti code, I sadly realised that whilst
   the movement was cell-based, the LOS routine was not, and
   worked by simply drawing trapezoidal blocks over ares hidden
   behind walls. IIRC it wasn't actually noticably slow, even
   on the old 486s, and it was pretty neat having cells only
   partially obscured.
   Anyway, I realise that I can use a variation of what I had
   used with that to set bits of a bitmap array every turn,
   and use that array to determine visibility when drawing
   the dungeon. */

char los_vistab[11*11];
/* Each element is 1 if visible and 0 if not */

char los_blocktab[11*11]; /* Used in updating LOS each turn. Each element
  gives indices of squares that would be obscured by a block being there.
  Obviously needs either a linked list of such indices, or several tables*/


/* This isn't what is wanted*/

int in_los(foogrid *map,int cx,int cy,int dx,int dy)
{
   /* Returns 1 if from (cx,xy), a point at (cx+dx,cy+dy) is visible*/
   int count,ratio or something;
   /* Getting the code from VREX (my 6th form project ;)*/
}

void calc_los(foogrid *map, int cx,int cy)
{
   /* Sets or clears the elements of los_vistab[] depending on
   current visibility*/
}

void init_los()
{
   /* Sets up los_blocktab[], etc. Only needs to be called once.*/
}
